Priority: Normal Due date:
Description

Running test via “rake test:system test™ errs with TypeError because some test class names are overlapping.

$ bundle e rake test:system test

Mercurial test repository NOT FOUND. Skipping functional tests !!!

rake aborted!

TypeError: superclass mismatch for class IssuesTest
./redmine/test/integration/issues_test.rb:22:in '<top (required)>'
./activesupport-5.2.3/1ib/active_support/dependencies.rb:291:in “require'
./activesupport-5.2.3/1lib/active_support/dependencies.rb:291:in “block in require'
./activesupport-5.2.3/1ib/active_support/dependencies.rb:257:in "~ load_dependency'
./activesupport-5.2.3/1ib/active_support/dependencies.rb:291:in "“require'
./railties-5.2.3/1ib/rails/test_unit/runner.rb:50:in “block in load_tests'
./railties-5.2.3/1ib/rails/test_unit/runner.rb:50:in “each'
./railties-5.2.3/1lib/rails/test_unit/runner.rb:50:in " load_tests'

./railties-5.2.3/1lib/rails/test_unit/runner.rb:39:in "run'
./railties-5.2.3/1lib/rails/test_unit/runner.rb:35:in ‘rake_run'
../railties-5.2.3/1ib/rails/test_unit/testing.rake:16:in "block in <top (required)>'

./redmine/bin/bundle:4:in " load'
.../redmine/bin/bundle:4:in " <main>'
Tasks: TOP => test

(See full trace by running task with —--trace)

The attached patch fixes this error with a minimal patch that appends "System" only to the class names that overlap with integration

tests.

Associated revisions

Revision 18995 - 2019-11-09 08:32 - Go MAEDA

Avoid class name overlap that causes TypeError on “rake test:system test™ (#32432).

Patch by Akira Matsuda.

History

#1 - 2019-11-07 07:31 - Marius BALTEANU

- Description updated

Please use textile formatting instead of markdown.

#2 - 2019-11-09 07:37 - Go MAEDA
- Category set to Code cleanup/refactoring

- Target version set to 4.1.0

Confirmed the error. Setting the target version to 4.1.0.

#3 - 2019-11-09 08:33 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for your contribution.
